package com.aurellem.capture.examples;

import java.io.File;
import java.io.IOException;

import jme3test.helloworld.HelloAudio;

import com.aurellem.capture.Capture;
import com.aurellem.capture.IsoTimer;
import com.jme3.app.Application;

public class HeloAudioRecording {

	public static void main(String[] ignore) throws IOException{
		Application app = new HelloAudio();
		File audio = File.createTempFile("JME-simple-audio", ".wav");
		app.setTimer(new IsoTimer(60));
		Capture.captureAudio(app, audio);
		app.start();
		System.out.println(audio.getCanonicalPath());
		
	}
	
}
